exactimage (1.0.2-7ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2019 07:10:18 +0000

exactimage (1.0.2-7) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sun, 29 Dec 2019 12:54:56 +0100

exactimage (1.0.2-6) experimental; urgency=medium

  * Replace python-exactimage package with python3-exactimage (Closes: #936493)
  * debian/control:
    - Allow build without (fake)root
    - Upgraded to policy 4.4.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 30 Sep 2019 08:57:07 +0200

exactimage (1.0.2-5ubuntu2) focal; urgency=medium

  * No-change rebuild against libilmbase23 and libopenexr23.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:05:07 +0000

exactimage (1.0.2-5ubuntu1) focal; urgency=medium

  * Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 19 Oct 2019 23:40:53 -0600

exactimage (1.0.2-5) unstable; urgency=medium

  * Fix FTBFS against libgif >= 5.2 (Closes: #939031)
  * Fix libgif >= 5.1 compatibility

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Aug 2019 14:24:37 +0200

exactimage (1.0.2-4) unstable; urgency=medium

  * Upgraded to policy 4.4.0, no changes required
  * debian/control:
    - Switch debhelper dependency to debhelper-compat
  * lintian-overrides:
    - Avoid false spelling warning on non x86_64-linux-gnu
  * debian/copyright:
    - Fix copyright for edisplay

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 21:54:30 +0200

exactimage (1.0.2-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - Automatically select correct Vcs-Git branch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:40:52 +0200

exactimage (1.0.2-2) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:53 +0100

exactimage (1.0.2-1) unstable; urgency=medium

  * New Upstream Version
  * debian/copyright:
    - Update copyright information
  * debian/patches:
    - refresh patches

 -- Sven Eckelmann <sven@narfation.org>  Sun, 03 Feb 2019 17:49:58 +0100

exactimage (1.0.1-4) unstable; urgency=medium

  * debian/control:
    - Switch to shared library version of libagg (Closes: #921096)

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Feb 2019 18:30:24 +0100

exactimage (1.0.1-3) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules:
    - Drop (now default) parameter --parallel for dch
  * Ignore false positive spelling-mistake lintian warning about
    Pentax camera name
  * debian/control
    - remove "Multi-Arch: same" from python-exactimage due to usage of
      pycompile
    - Drop unnecessary X-Python-Version field
  * debian/copyright:
    - Fix copyright path of common files from lib/ to image/
    - Update copyright information

 -- Sven Eckelmann <sven@narfation.org>  Fri, 19 Oct 2018 19:57:15 +0200

exactimage (1.0.1-2) unstable; urgency=medium

  * debian/control:
    - Remove edisplay package which depends on libevas-dev < 1.20
    - Remove libevas-dev from Build-Depends
    - Remove now unused libxrender-dev Build-Depends
    - Adjust Vcs-* URLs to point to salsa.debian.org
  * debian/rules:
    - Disable libevas support to fix FTBFS against libevas-dev >= 1.20
      (Closes: #895511)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 Apr 2018 20:17:08 +0200

exactimage (1.0.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - update to debhelper 10
  * Upgraded to policy 4.1.1, no changes required
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
  * debian/patches:
    - Remove upstream merged
      Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch,
      Fix-FTBFS-when-building-with-swig-3.0.7.patch
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 13 Oct 2017 16:24:28 +0200

exactimage (0.9.2-1) unstable; urgency=medium

  * debian/control:
    - Mark libexactimage-perl and python-exactimage as Multi-Arch: same
  * debian/patches:
    - Remove upstream merged
      + Add-missing-agg-includes.patch
      + Avoid-overflow-in-ljpeg_start.patch
      + Build-jpeg-functionality-for-libjpeg8.patch
      + Decode-image-before-accessing-the-stride-attribute-f.patch
      + Encode-Ren-as-UTF-8.patch
      + Fix-FTBFS-with-libpng-1.5.patch
      + Fix-memory-leak-when-switching-between-images-in-edi.patch
      + Link-against-libgif-instead-of-deprecated-libungif.patch
      + Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch
      + fixed-dcraw-CVE-fix-to-be-able-to-load-dcraw-images.patch
      + fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch
    - Rebase patches on top of 0.9.2:
      + Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch
      + Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch
      + Disable-dead-code-that-is-causing-compilation-errors.patch
      + Disable-unused-Evas-Helper-function-to-avoid-FTBFS.patch
      + Don-t-compile-dynamic-shared-objects-as-PIE.patch
      + Drop-date-to-make-build-reproducible.patch
      + Enforce-simple-verbose-build-for-blhc.patch
      + Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch
      + Fix-buffer-overflow-when-decoding-code128-code_set_c.patch
      + Fix-typo-s-optinally-optionally.patch
      + Fix-typo-s-sufficently-sufficiently.patch
      + Remove-dead-timer-code-which-causes-FTBFS.patch
      + Respect-CFLAGS-from-the-environment.patch
      + Use-PIC-version-of-static-AGG-library.patch
      + giflib5.patch
    - Add Remove-obsolete-path-reorientation-code-fixes-nonzero-fil.patch,
      Remove obsolete path reorientation code (fixes nonzero fill)
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Thu, 22 Jun 2017 09:44:18 +0200

exactimage (0.9.1-16) unstable; urgency=medium

  * debian/patches:
    - Add Fix-typo-s-sufficently-sufficiently.patch, Fix typo
      s/sufficently/sufficiently/
    - Add Disable-per-processor-optimization.patch, Disable per processor
      optimization flags
  * debian/rules:
    - disable PHP api builsd
  * Upgraded to policy 3.9.8, no changes required
  * Remove PHP5 package php5-exactimage (Closes: #821675)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Jun 2016 18:43:41 +0200

exactimage (0.9.1-15) unstable; urgency=medium

  * debian/control:
    - Disable jasper (JPEG2000) support (Closes: #818196)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Mar 2016 20:31:32 +0100

exactimage (0.9.1-14) unstable; urgency=high

  * Set urgency high for the CVE-2015-8366 fix transition
  * debian/patches:
    - Add debian/patches/Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch,
      Sort X_SRCS to reduce noise in reproducible diffs

 -- Sven Eckelmann <sven@narfation.org>  Wed, 24 Feb 2016 10:43:54 +0100

exactimage (0.9.1-13) unstable; urgency=medium

  * Upgraded to policy 3.9.7, no changes required
  * debian/patches:
    - Add Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch,
      Fix CVE-2015-8366: Index overflow in smal_decode_segment

 -- Sven Eckelmann <sven@narfation.org>  Tue, 23 Feb 2016 13:53:21 +0100

exactimage (0.9.1-12) unstable; urgency=medium

  * debian/rules
    - Enable PIE hardening
  * debian/control
    - Change Vcs-Git to https://
  * debian/patches:
    - Add Fix-typo-s-optinally-optionally.patch,
      Fix typo s/optinally/optionally/
    - Add Don-t-compile-dynamic-shared-objects-as-PIE.patch,
      Don't compile dynamic shared objects as PIE
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:14:02 +0100

exactimage (0.9.1-11) unstable; urgency=medium

  * debian/patches:
    - Add fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch,
      fix loading (absolute) filenames with colon (LP: #1516548)
    - Add Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch,
      Build as C++98 code to avoid errors when compiling as C++11
      (Closes: #811784)
  * debian/rules:
    - Disable LTO again due to GCC stability problems

 -- Sven Eckelmann <sven@narfation.org>  Fri, 22 Jan 2016 15:20:48 +0100

exactimage (0.9.1-10) unstable; urgency=medium

  * Change upstream URLs to https://exactcode.com
  * debian/control, debian/rules:
    - Drop exactimage-dbg in favor of -dbgsym package
  * Override the lintian warning about missing upstream changelog
  * Override the lintian warning about missing upstream source signature check
  * debian/copyright
    - Cleanup license short names
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Jan 2016 11:46:34 +0100

exactimage (0.9.1-9) unstable; urgency=medium

  * debian/patches:
    - Update giflib5.patch, Remove errant backslash
      Thanks Logan Rosen <logan@ubuntu.com>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Nov 2015 09:31:48 +0100

exactimage (0.9.1-8) unstable; urgency=medium

  * debian/patches:
    - Add Fix-FTBFS-when-building-with-swig-3.0.7.patch, Fix FTBFS when
      building with swig 3.0.7 (Closes: #804466)
  * debian/control:
    - Add dh-python to Build-Depends

 -- Sven Eckelmann <sven@narfation.org>  Sun, 08 Nov 2015 20:43:46 +0100

exactimage (0.9.1-7) unstable; urgency=medium

  * debian/patches:
    - Add giflib5.patch, Build using giflib5 (Closes: #803296)
      Thanks Matthias Klose <doko@debian.org>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 28 Oct 2015 17:06:31 +0100

exactimage (0.9.1-6) unstable; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add Encode-Ren-as-UTF-8.patch, Encode René as UTF-8 to avoid configure
      check failure
    - Add Fix-memory-leak-when-switching-between-images-in-edi.patch, Fix
      memory leak when switching between images in edisplay (Closes: #790780)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 08 Jul 2015 14:18:40 +0200

exactimage (0.9.1-5) unstable; urgency=high

  * Fix CVE-2015-3885: Integer overflow in the ljpeg_start function in dcraw
  * debian/patches:
    - Add CVE-2015-3885.patch, Avoid overflow in ljpeg_start()
      (Closes: #786785)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 May 2015 17:25:46 +0200

exactimage (0.9.1-4) unstable; urgency=medium

  * debian/patches:
    - Add drop_date.patch, Drop date to make build reproducible
  * debian/manpages:
    - Add date information to make build of manpages from xml reproducible
  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright
    - Rewrite copyright information
    - Update years

 -- Sven Eckelmann <sven@narfation.org>  Wed, 06 May 2015 00:03:35 +0200

exactimage (0.9.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/patches
    - Add draw_jpeg_fix.patch, fixed dcraw CVE fix to be able to load
      dcraw images

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 17:26:19 +0200

exactimage (0.9.1-2) experimental; urgency=medium

  * debian/patches:
    - Add bardecode_code128_bufferoverflow.patch, Fix buffer overflow when
      decoding code128 code_set_c (LP: #1425472)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Feb 2015 12:50:11 +0100

exactimage (0.9.1-1) experimental; urgency=medium

  * New Upstream Version
  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/manpages:
    - Add new options to hocr2pdf.1.xml
  * debian/patches:
    - Remove upstream merged CVE-2013-1438.patch, CVE-2013-1441.patch
    - Rebase patches on top of 0.9.1

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Feb 2015 19:12:29 +0100

exactimage (0.8.9-7) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API
  * debian/patches:
    - Update libjpeg8_compat.patch, use transupp compatible with libjpeg8 and
      libjpeg62 API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 15:46:57 +0200

exactimage (0.8.9-6) unstable; urgency=medium

  * debian/rules:
    - Activate LTO for reduce binary size
    - Add support for multiarch triplet in libexactimage-perl.install
  * Build-Depend on perl to evaluate $Config{vendorarch}
  * debian/patches:
    - Add perl_vendor_dir.patch, Install module to perl vendor path
      (Closes: #752344)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 22 Jun 2014 22:44:44 +0200

exactimage (0.8.9-5) unstable; urgency=medium

  * debian/control:
    - Remove Build-Depends to liblcms1-dev because it will be removed and is
      not used anymore in dcraw since 0.8.9 (Closes: #745522)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 22 Apr 2014 20:34:15 +0200

exactimage (0.8.9-4) unstable; urgency=medium

  * Update copyright years in debian/copyright
  * debian/patches:
    - Add ftbfs_evas_object.patch, Disable unused Evas Helper function to
      avoid FTBFS (Closes: #741782)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 16 Mar 2014 15:10:04 +0100

exactimage (0.8.9-3) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add libgif.patch, Link against libgif instead of deprecated libungif
      (Closes: #732327)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Dec 2013 19:55:34 +0100

exactimage (0.8.9-2) unstable; urgency=high

  * Fix CVE-2013-1441: exactimage: DoS, econvert crashes
  * debian/gbp.conf
    - Force pristine-tar to guarantee correct orig tarball with git-buildpackage
  * debian/patches:
    - Add CVE-2013-1441.patch, exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:05:50 +0200

exactimage (0.8.9-1) unstable; urgency=high

  * New Upstream Version
  * Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)
  * debian/rules:
    - Enable section garbage collection to reduce size caused by partial linked
      static library
    - Provide override_dh_auto_clean/test to avoid problems with stricter
      debhelper clean/test behavior since 9.20130720
  * debian/patches:
    - Add gcc_48_dcraw_infinite_loop.patch, Avoid infinite loops generated by
      GCC 4.8 caused by undefined behaviour
    - Remove upstream merged tga_memcpy_signature.patch and spelling_error.patch
    - Add CVE-2013-1438, Fix CVE-2013-1438

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 16:17:32 +0200

exactimage (0.8.8-3) unstable; urgency=low

  * Disable LTO again because it triggers binutils bug PR/15323 (or similar) on
    armel, armhf, ia64, mips, mipsel, powerpc, ...

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Jun 2013 10:55:06 +0200

exactimage (0.8.8-2) unstable; urgency=low

  * debian/patches:
    - Add verbose_build.patch, Enforce simple verbose build for blhc
    - Add decode_before_read_stride.patch, Decode image before accessing the
      stride attribute for rotation (Closes: #523948)
    - Add tga_memcpy_signature.patch, Don't write outside tga signature array
    - Add spelling_error.patch, Fix "characters" spelling error
  * debian/rules:
    - Activate LTO for reduce binary size
  * debian/control
    - Remove Daniel Stender as maintainer (Closes: #708417)
    - Switch from libtiff-dev provided by oldlib libtiff4-dev to libtiff5-dev

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Jun 2013 22:59:02 +0200

exactimage (0.8.8-1) unstable; urgency=low

  [ Sven Eckelmann ]
  * New Upstream Version
  * debian/control:
    - Reformat for better usability with version control systems
    - Add Vcs-* fields to debian/control
    - Upgraded to policy 3.9.4, no changes required
  * Update debian/copyright to copyright-format 1.0
  * Update compat level to 9
  * debian/rules:
    - Enable security flags in debian/rules
    - Convert to dh
    - Fix installation path for python modules
    - Provide optional target get-orig-source
  * debian/patches:
    - Use common suffix .patch
    - Rebase on top of 0.8.8
    - Remove upstream merged edentify_tga_mismatch.patch, gcc47.patch,
      missing_include_vector.patch, optimize2bw_denoise.patch
  * Convert from python-support to python2
  * Update years in debian/copyright

  [ Boris Pek ]
  * debian/copyright:
    - Corrected license text for codecs/dcraw.h
    - Use more specific BSD-3-clause license short name instead of BSD
    - Replace old dep-5 style "|" with "or"

  [ Bart Martens ]
  * Rewrite debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 May 2013 13:12:03 +0200

exactimage (0.8.5-5+deb7u3) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.5-5+deb7u2) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200

exactimage (0.8.5-5) unstable; urgency=low

  * debian/control:
    - Add Daniel Stender and Sven Eckelmann as new maintainer (Closes: #587062)
    - Depend on libpng-dev instead of libpng12-dev (Closes: #662317)
    - Depend on libjpeg8-dev to avoid hiccups with other libjpeg versions
  * debian/patches:
    - Add edentify_tga_mismatch.patch, Fix misidentification of PNM as TGA
      (Closes: #575324)
    - missing_include_vector.patch, Add missing includes for std::vector
    - Add libjpeg8_compat.patch, Build jpeg functionality for libjpeg8 to avoid
      crashes and other hiccups (Closes: #679775)
    - Add optimize2bw_denoise.patch, Fix optimize2bw denoise crash on 64-bit
      systems (Closes: #679772)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Jul 2012 15:55:10 +0200

exactimage (0.8.5-4) unstable; urgency=low

  * QA upload.
  * Fix build failure with GCC 4.7 (Sven Eckelmann). Closes: #667159.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:23:46 +0000

exactimage (0.8.5-3) unstable; urgency=low

  * QA upload.
  * Patch libpng15: Fix FTBFS with libpng 1.5 (closes: #635745).
    Thanks to Nobuhiro Iwamatsu for the patch!

 -- Ralf Treinen <treinen@debian.org>  Fri, 05 Aug 2011 12:04:05 +0200

exactimage (0.8.5-2) unstable; urgency=low

  * QA upload (see #587062).
    + Set Maintainer to Debian QA Group.
  * Add build-arch and build-indep targets.
  * Remove Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 17 Jun 2011 00:08:28 +0200

exactimage (0.8.5-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
  * Fix a formatting error in the bardecode manual page.
  * Bump standards version to 3.9.1:
    + Replace Conflicts with Breaks.
  * Drop debian/pyversions.
  * Export LDFLAGS.
  * Use dpkg-buildflags. Build depend on dpkg-dev (>= 1.15.7).
  * Drop transitional dummy package exactimage-perl.
  * Respect the ‘parallel’ build option.
  * Use OpenMP: append ‘-fopenmp’ to CFLAGS.
  + Build edisplay (closes: #520975):
    - Build depend on libevas-dev and libxrender-dev.
    - Automatically generate dependencies on libevas*-engines-x.
    - Restore references to edisplay in package description and in manual pages.
    - Install MIME information.
  * Loosen dependencies of the exactimage-dbg package. Use Breaks to ensure
    that versions of packages matches.
  * Bump standards to version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 14:30:54 +0200

exactimage (0.8.1-3+deb6u3) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.1-3+deb6u2) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200

exactimage (0.8.1-3) unstable; urgency=low

  * Don't use upstream Makefile to install Python modules (really closes:
    #582431).
  * Disable dead code that is causing compilation errors (closes: #583281).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 May 2010 11:36:08 +0200

exactimage (0.8.1-1) unstable; urgency=low

  * New upstream release:
    + Drop configure-perl-detection.diff, different fix applied upstream.
    + Drop utility-timer-dead-code.diff, different fix applied upstream.
  * Fix FTBFS with nostrip build option.
  * Remove bogus Python modules directory created by upstream Makefile
    (closes: #582431). Thanks to Stefano Rivera for the bug report.
  * Use DESTDIR, not prefix, for make install.
  * Update years in debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 21 May 2010 01:28:14 +0200

exactimage (0.8.0-4) unstable; urgency=low

  * Patch the configure script to make detection of Perl more robust
    (closes: #578549). Thanks to Niko Tyni for the bug report.
    [configure-perl-detection.diff]

 -- Jakub Wilk <jwilk@debian.org>  Thu, 22 Apr 2010 20:53:59 +0200

exactimage (0.8.0-2) unstable; urgency=low

  * Add ‘X_SYSTEM=Linux’ to yet another make invocation to fix build failures
    on non-Linux systems.
  * Rewrite manual pages in DocBook XML from scratch.
    + Build-depend on docbook-xsl, docbook-xml, xsltproc, libxml2-utils.
  * Add proper Replaces/Conflicts to the libexactimage-perl, which were
    accidentally ommited in the previous release.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 11 Apr 2010 20:09:24 +0200

exactimage (0.8.0-1) unstable; urgency=low

  * New upstream release:
    + --help no longer trigger errors (closes: #574880, #574885, #574890).
    + SVG with invalid path no longer leads to crashes (closes: #574124).
    + Drop edisplay-dpy.diff, applied upstream.
    + Drop utility-timer-syntax-error.diff, applied upstream.
    + Refresh other patches.
  * Improve package descriptions (both in debian/control and in manual pages).
  * Shorten “SEE ALSO” sections of manual pages.
  * Disable dead code in utility/Timer.cc, as it is causing build failures on
    some architectures. [utility-timer-dead-code.diff]
  * Explicitly disable building with evas.
  * Build extensions for all supported Python versions.
    + Build-depend on python-all-dev.
    + Update debian/rules accordingly.
  * Add ‘Q=’ to each make invocation to make build process more verbose.
  * Embedded copy of AGG is no longer shipped; remove references from
    debian/copyright.
  * Install Perl modules into the correct directory (closes: #575749).
    Thanks to Bruce Stephens for the bug report.
  * In order to comply with Perl Policy 4.2, rename exactimage-perl to
    libexactimage-perl (closes: #575935). Thanks to Ansgar Burchardt for the
    bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Apr 2010 21:11:38 +0200

exactimage (0.7.5-3) unstable; urgency=low

  * Fix FTBFS with Python 2.6 as the default version (closes: #571209).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 15:07:57 +0100

exactimage (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #543838).
  * Switch to source format 3.0 (quilt).
  * Various improvements in package building:
    + Add ‘X_SYSTEM=Linux’ to each make invocation to enable compilation on
      non-Linux systems.
    + Fix building Python modules (closes: #568671):
      - Add XS-Python-Version header.
      - Build depend on python-dev (>= 2.5.4) rather than python-all-dev (for
        now, only modules for the current Python version are built).
      - As upstream Makefile always put the modules in 2.5 directory, move
        them into the right one in debian/rules.
      - Move *.so with detached symbols to a directory where gdb will expect
        it.
      - Update debian/*.install to catch both site-packages and dist-packages.
      - Drop debian/pycompat.
    + Fix syntax and name errors. [utility-timer-syntax-error.diff,
      edisplay-dpy.diff]
    + Link with system copy of AGG (closes: #570089):
      - Update debian/rules.
      - Add missing includes. [agg-missing-includes.diff]
      - Use PIC version of static AGG library. [agg-pic.diff]
    + Don't let the configure script be called more that once.
    + Produce debugging information for the core library.
    + Respect the ‘noopt’ build option.
      [makefile-cflags.diff]
    + Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Fix exactimage-dbg package description.
  * Remove duplicate section field for the binary package.
  * Add ‘Depends: ${misc:Depends}’ to binary packages.
  * Add watchfile.
  * Fix typos: in the manual pages and in frontends/econvert.cc.
    [econvert-typo.diff]
  * Bump standards version to 3.8.4 (no changes needed).
  * Add Vcs-* fields.
  * Remove all references to edisplay, as Debian package cannot ship it for
    now (see bug #520975).
  * Update debian/copyright; convert it to the DEP-5 format.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Feb 2010 18:34:31 +0100

exactimage (0.7.4-3) unstable; urgency=low

  * QA upload.
  * Remove alternatives to the phpapi-* dependency (Closes: #566296)

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 19:26:25 -0600

exactimage (0.7.4-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.og>  Thu, 27 Aug 2009 07:15:20 +0200

exactimage (0.7.4-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 0.7.4.
  * Updating standards version to 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Jul 2009 14:36:40 +0200

exactimage (0.7.3-1) unstable; urgency=low

  * Merging upstream version 0.7.3.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 12:25:00 +0200

exactimage (0.7.2-1) unstable; urgency=low

  * Updating section of debug packages.
  * Merging upstream version 0.7.2.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 26 Apr 2009 11:08:00 +0200

exactimage (0.7.1-1) unstable; urgency=low

  * Merging upstream version 0.7.1.
  * Updating to standards version 3.8.1.
  * Adding alternatives to phpapi depends.
  * Correcting permissions of ExactImage.py.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Mar 2009 14:23:00 +0100

exactimage (0.7.0-1) unstable; urgency=low

  * Merging upstream version 0.7.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Mar 2009 13:50:00 +0100

exactimage (0.6.9-1) unstable; urgency=low

  * Initial release (Closes: #502183).

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2009 14:45:00 +0100

